aboutsummaryrefslogtreecommitdiffstats
path: root/filters
diff options
context:
space:
mode:
Diffstat (limited to 'filters')
-rwxr-xr-xfilters/test.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/filters/test.sh b/filters/test.sh
index 39319d6b..ea04235a 100755
--- a/filters/test.sh
+++ b/filters/test.sh
@@ -37,13 +37,12 @@ for vec in $here/vectors/*.in; do
tool=$(basename $vec | sed 's/-.*//')
expected=${vec%%.in}.expected
tmp=$(mktemp)
- if ! $FILTERS_TEST_PREFIX $here/../$tool -f $vec > $tmp; then
- fail=1
- fi
- if diff -u "$expected" "$tmp"; then
+ status=0
+ $FILTERS_TEST_PREFIX $here/../$tool -f $vec > $tmp || status=$?
+ if [ $status -eq 0 ] && diff -u "$expected" "$tmp"; then
echo "ok $tool < $vec > $tmp"
else
- echo "error $tool < $vec > $tmp"
+ echo "error $tool < $vec > $tmp [status=$status]"
fail=1
fi
rm -f -- "$tmp"